Bug 398051 - Review Request: accrete - Accrete is a physical simulation of solar system planet formation
Review Request: accrete - Accrete is a physical simulation of solar system pl...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 17:06 EST by Marek Mahut
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:25:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2007-11-24 17:06:28 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/accrete/accrete.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/accrete/accrete-1.0-1.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=257099
Description: Accrete is a physical simulation of solar system planet formation,
by modelling a dust cloud around a Sun-like star, injecting a series
of masses which collect dust, and form planets. The simulation then
determines what the planetary environments will be like in terms
of temperature, atmospheric composition, and other factors.

http://en.wikipedia.org/wiki/Accretion_%28astrophysics%29
Comment 1 Parag AN(पराग) 2007-11-24 22:04:54 EST
only mtrng.c is having BSD like license and other files have no license at all. 
So I guess there should not be any problem to have this package as Public Domain.

Also, I saw you can use Source URL as 
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

also, Compiler flags not honored. check
http://fedoraproject.org/wiki/Packaging/Guidelines#head-8b14098227aebff1cf6188939e9d0877295ac448

rpmlint on SRPM gave
accrete.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.


Comment 2 Marek Mahut 2007-11-25 04:32:11 EST
Hello Parag, thank you for your comments!

All should be fixed, spec file updated.

  Source RPM: http://mmahut.fedorapeople.org/reviews/accrete/accrete-1.0-2.src.rpm
Comment 3 Parag AN(पराग) 2007-11-25 08:42:39 EST
You also don't need to have setup written as 
%setup -q -n %{name}-%{version}
as source file name is same as %{name}-%{version} write it only as
%setup -q

Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
a8586ec1682cb9545ea380d78a8e83d1  accrete-1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains contents.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 4 Marek Mahut 2007-11-25 13:19:29 EST
New Package CVS Request
=======================
Package Name: accrete
Short Description: Accrete is a physical simulation of solar system planet formation
Owners: mmahut
Branches: devel
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-26 12:43:16 EST
cvs done.
Comment 6 Marek Mahut 2007-11-26 13:25:03 EST
Upload and build.

Thank you Kevin, Thank you Parag.

Note You need to log in before you can comment on or make changes to this bug.